<?xml version="1.0" encoding="utf-8"?>
<!--
  For more information on how to configure your ASP.NET application, please visit
  https://go.microsoft.com/fwlink/?LinkId=301879
  -->
<configuration>
  <configSections>
    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <section name="FactorySystemApi.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <appSettings>
    <add key="ApiAuthSecretKey" value="zhkxfs" />
    <!--<add key="ConnectionString" value="server=49.235.68.145,3456;uid=sa;pwd=zhenxuan@2019;database=FactorySystem" />-->

    <add key="ConnectionString" value="server=120.55.81.57;uid=sa;pwd=1qaz@WSX;database=FactorySystem" />

    <add key="Sap_UserName" value="mcs_con" />
	<add key="Sap_Upload_UserName" value="chenjie" />

    <add key="SendWeChatMsg" value="1" />

    <add key="Sap_Password" value="abcd1234" />

    <add key="Cas_AppId" value="testsso" />
    <add key="Cas_OAUrl" value="http://10.10.128.20/esc-sso/" />
    <add key="Cas_ReUrl" value="http://2.0.1.18:3000" />

    <add key="Mdm_Token" value="ac9b7db8-9661-461d-b5b2-ed66f33a1d69" />
    <add key="Mdm_Url" value="http://10.10.141.80:8080/iuapmdm/cxf/mdmrs/newcenter/newCenterService/insertMd" />
    <add key="Mdm_Tid" value="tenan" />

    <!--发送微信消息：1是0否-->
    <add key="SendWeChatMsg" value="0" />

    <add key="webpages:Version" value="3.0.0.0" />
    <add key="webpages:Enabled" value="false" />
    <add key="ClientValidationEnabled" value="true" />
    <add key="UnobtrusiveJavaScriptEnabled" value="true" />
  </appSettings>
  <!--
    有关 web.config 更改的说明，请参见 http://go.microsoft.com/fwlink/?LinkId=235367。

    可在 <httpRuntime> 标记上设置以下特性。
      <system.Web>
        <httpRuntime targetFramework="4.5.2" />
      </system.Web>
  -->
  <system.web>
    <compilation debug="true" targetFramework="4.8" />
    <httpRuntime targetFramework="4.5" />
  </system.web>
  <system.webServer>
    <handlers>
      <add name="OPTIONS" path="*" verb="OPTIONS" modules="ProtocolSupportModule" resourceType="Unspecified" />
      <remove name="ExtensionlessUrlHandler-Integrated-4.0" />
      <remove name="TRACEVerbHandler" />
      <add name="ExtensionlessUrlHandler-Integrated-4.0" path="*." verb="*" type="System.Web.Handlers.TransferRequestHandler" preCondition="integratedMode,runtimeVersionv4.0" />
    </handlers>
    <httpProtocol>
      <!--跨域配置开始-->
      <customHeaders>
        <add name="Access-Control-Allow-Origin" value="*" />
        <add name="Access-Control-Allow-Methods" value="GET,POST,OPTIONS" />
        <add name="Access-Control-Allow-Headers" value="*" />
        <add name="Access-Control-Request-Methods" value="GET,POST,OPTIONS" />
      </customHeaders>
      <!--跨域配置结束-->
    </httpProtocol>
  </system.webServer>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Antlr3.Runtime" publicKeyToken="eb42632606e9261f" />
        <bindingRedirect oldVersion="0.0.0.0-3.5.0.2" newVersion="3.5.0.2" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" culture="neutral" publicKeyToken="30ad4fe6b2a6aeed" />
        <bindingRedirect oldVersion="0.0.0.0-13.0.0.0" newVersion="13.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Optimization" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-1.1.0.0" newVersion="1.1.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="WebGrease" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-1.6.5135.21930" newVersion="1.6.5135.21930" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Helpers" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.WebPages" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Mvc" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-5.2.7.0" newVersion="5.2.7.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Http" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.2.7.0" newVersion="5.2.7.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Net.Http.Formatting" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.2.7.0" newVersion="5.2.7.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <system.codedom>
    <compilers>
      <compiler language="c#;cs;csharp" extension=".cs" type="Microsoft.CodeDom.Providers.DotNetCompilerPlatform.CSharpCodeProvider, Microsoft.CodeDom.Providers.DotNetCompilerPlatform, Version=2.0.1.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" warningLevel="4" compilerOptions="/langversion:6 /nowarn:1659;1699;1701" />
      <compiler language="vb;vbs;visualbasic;vbscript" extension=".vb" type="Microsoft.CodeDom.Providers.DotNetCompilerPlatform.VBCodeProvider, Microsoft.CodeDom.Providers.DotNetCompilerPlatform, Version=2.0.1.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" warningLevel="4" compilerOptions="/langversion:14 /nowarn:41008 /define:_MYTYPE=\&quot;Web\&quot; /optionInfer+" />
    </compilers>
  </system.codedom>
  <applicationSettings>
    <FactorySystemApi.Properties.Settings>
      <setting name="WeChatMsg" serializeAs="String">
        <value>http://dd.hbflavor.com:28888/PlmMsg/SendPLMMsgInterface.asmx</value>
      </setting>
      <setting name="Plm_Formula" serializeAs="String">
        <value>https://plmtest.hbflavor.com/PlmWebService/OAService.asmx</value>
      </setting>
      <setting name="Sap_Material" serializeAs="String">
        <value>http://sappoqas.hbglobal.com:50000/XISOAPAdapter/MessageServlet?senderParty=&amp;senderService=ZMCS_FLAVOR&amp;receiverParty=&amp;receiverService=&amp;interface=si_mm100_mcs_sender&amp;interfaceNamespace=http%3A%2F%2Fwww.zmc.com%2Fflavor%2Fmm</value>
      </setting>
      <setting name="SAP_Formula" serializeAs="String">
        <value>http://sappoqas.hbglobal.com:50000/XISOAPAdapter/MessageServlet?senderParty=&amp;senderService=ZMCS_FLAVOR&amp;receiverParty=&amp;receiverService=&amp;interface=si_pp062_bc_sender&amp;interfaceNamespace=http%3A%2F%2Fwww.zmc.com%2Fflavor%2Fpp</value>
      </setting>
      <setting name="Sap_Group" serializeAs="String">
        <value>http://sappoqas.hbglobal.com:50000/XISOAPAdapter/MessageServlet?senderParty=&amp;senderService=ZMCS_FLAVOR&amp;receiverParty=&amp;receiverService=&amp;interface=si_pp071_mcs_sender&amp;interfaceNamespace=http%3A%2F%2Fwww.zmc.com%2Fflavor%2Fpp</value>
      </setting>
    </FactorySystemApi.Properties.Settings>
  </applicationSettings>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="si_pp079_mcs_senderBinding">
            <security mode="TransportCredentialOnly">
                <transport clientCredentialType="Basic" />
                <message clientCredentialType="UserName" />
            </security>
        </binding>
        <binding name="si_pp080_mcs_senderBinding">
            <security mode="TransportCredentialOnly">
                <transport clientCredentialType="Basic" />
                <message clientCredentialType="UserName" />
            </security>
        </binding>
        <binding name="si_mm104_mcs_senderBinding">
		    <security mode="TransportCredentialOnly">
			    <transport clientCredentialType="Basic" />
			    <message clientCredentialType="UserName" />
		    </security>
        </binding>
      </basicHttpBinding>
    </bindings>
    <client>
      <endpoint address="http://sappoqas.hbglobal.com:50000/XISOAPAdapter/MessageServlet?senderParty=&amp;senderService=ZMCS_FLAVOR&amp;receiverParty=&amp;receiverService=&amp;interface=si_pp079_mcs_sender&amp;interfaceNamespace=http%3A%2F%2Fwww.zmc.com%2Fflavor%2Fpp"
        binding="basicHttpBinding" bindingConfiguration="si_pp079_mcs_senderBinding"
        contract="Sap_Bom.si_pp079_mcs_sender" name="HTTP_Port" />
      <endpoint address="http://sappoqas.hbglobal.com:50000/XISOAPAdapter/MessageServlet?senderParty=&amp;senderService=ZMCS_FLAVOR&amp;receiverParty=&amp;receiverService=&amp;interface=si_pp080_mcs_sender&amp;interfaceNamespace=http%3A%2F%2Fwww.zmc.com%2Fflavor%2Fpp"
        binding="basicHttpBinding" bindingConfiguration="si_pp080_mcs_senderBinding"
        contract="Sap_ProductVersion.si_pp080_mcs_sender" name="HTTP_Port" />
      <endpoint address="http://sappodev.hbglobal.com:50000/XISOAPAdapter/MessageServlet?senderParty=&amp;senderService=ZMCS_FLAVOR&amp;receiverParty=&amp;receiverService=&amp;interface=si_mm104_mcs_sender&amp;interfaceNamespace=http%3A%2F%2Fwww.zmc.com%2Fflavor%2Fmm"
        binding="basicHttpBinding" bindingConfiguration="si_mm104_mcs_senderBinding"
        contract="Sap_ViewMaterial.si_mm104_mcs_sender" name="HTTP_Port" />
    </client>
  </system.serviceModel>
</configuration>